Skip to main content
GET
Get

Authorizations

Authorization
string
header
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Headers

Authorization
string
required

Bearer API Key. For example, "Bearer {Tenant API Key}"

Path Parameters

customCheckId
string<uuid>
required

The ID of the custom check

Response

The custom check

A stored custom check.

customCheckId
string<uuid>
required
slug
string
required

URL-safe identifier, unique within the tenant.

Required string length: 1 - 128
Pattern: ^[a-z0-9-]+$
organizationId
string
required
tenantId
string
required
title
string
required
Required string length: 1 - 256
target
object
required

The primary asset type a check evaluates and how it is batched.

defaults
object
required

Default verdict values applied to findings the check produces.

type
enum<string>
required
Available options:
rego
body
string
required

The rego policy source.

Minimum string length: 1
version
integer
required
Required range: x >= 1
createdBy
string
required
createdAt
string<date-time>
required
updatedBy
string
required
updatedAt
string<date-time>
required
description
string
Maximum string length: 4096
additionalAssets
object[]

Additional asset types loaded in full and made available to the policy.